#
# spec file for package python-tox-wheel
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-tox-wheel
Version:        1.0.0
Release:        1.8
Summary:        A Tox plugin that builds and installs wheels instead of sdist
License:        BSD-2-Clause
Group:          Development/Languages/Python
URL:            https://github.com/ionelmc/tox-wheel
Source:         https://files.pythonhosted.org/packages/source/t/tox-wheel/tox-wheel-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-tox >= 3.9
Requires:       python-wheel >= 0.33.1
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module tox >= 3.9}
BuildRequires:  %{python_module tox-no-internet}
BuildRequires:  %{python_module wheel >= 0.33.1}
# /SECTION
%python_subpackages

%description
A Tox plugin that builds and installs wheels instead of sdist.

%prep
%setup -q -n tox-wheel-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# Testlayout needs old virtualenv AND python2 interpreter to really work -> Disable for now
#%%pytest

%files %{python_files}
%doc AUTHORS.rst CHANGELOG.rst README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Sat Oct 29 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 1.0.0
  * Added option to build wheels (and sdists) in an isolated environment using build. Contributed by Ben Rowland in #17.
* Tue Oct 11 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- version update to 0.7.0
  * Fixed build dir not being cleaned up in PEP 517 mode. Contributed by Michael Rans in #16.
  * Switched CI from Travis/AppVeyor to GitHub Actions.
* Tue Dec  7 2021 pgajdos@suse.com
- version update to 0.6.0
  * Fixed unnecessary build directory cleanup and removed dead code.
  * The ``isolated_build`` tox option is now an alias for ``wheel_pep517``.
  * Added more configuration examples.
  * Added support for PEP 517/518.
- do not require pytest-runner for build, it would not be needed
  even if the testsuite run
* Tue Apr 28 2020 Tomáš Chvátal <tchvatal@suse.com>
- Disable testing for now as it needs python2 and old virtualenv
* Thu May 16 2019 kwu@suse.com
- Updated to v0.4.2
  * improved logging a bit so messages are less confusing (don’t emit
  wheel-make path/to/setup.py).
  * Moved dist/build cleanup right before bdist_wheel.
* Tue May 14 2019 Adolfo Duarte <ADuarte@suse.com>
- Fixed compatibility with tox and changed requirement for minimum tox version to 3.9.0
* Wed Mar 27 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.3.0
